﻿# This script, but not the artwork associated with it, is in the
# public domain. Feel free to use it as the basis for your own
# game.

# If you're trying to understand this script, I recommend skipping
# down to the line beginning with 'label start:', at least on your
# first read-through.

# This init block runs first, and sets up all sorts of things that
# are used by the rest of the game. Variables that are set in init
# blocks are _not_ saved, unless they are changed later on in the
# program.

init:


    # special stolen font stuff...
    # This imports in the asfont22 module, which contains a list of
    # kerning pairs.
    $ import asfont22

    # Register the sfont contained in asfont22 as "subfont".
    $ renpy.register_sfont('subfont', 22,
    filename="asfont22.png",
    kerns=asfont22.kerns,
    spacewidth=4)



    # Declare the images that are used in the program.

    $ trifade = ImageDissolve("trifade.png", 2.0, 8,'mcube')
    $ qtrifade = ImageDissolve("trifade.png", 1.0, 8,'linear')
    $ cfade = ImageDissolve(im.Composite((800, 600),
                                        (0, 0), "trifade.png",
                                        (265,50), "cherylDissolve.png"),4.0,8,'dcube')
    $ csfade = ImageDissolve("csfade.png",4.0,8,'dcube')
    $ slowDissolve = Dissolve(1.0)
    
    # Backgrounds.
    image snowFallB = SnowBlossom("snow.png",count=50,border=50, xspeed=(10, 15), yspeed=(40, 60), start=10)
    image snowFall = SnowBlossom("snow.png",count=100,border=50, xspeed=(10, 15), yspeed=(40, 60), start=12)
    #image auditorium = "auditorium.jpg"
    image jrclassfront =  "class.jpg"#"jrclassfront.jpg"
    image jrclassback = "class.jpg"#"jrclassback.jpg"
    image walkhome = "walkhome.jpg"
    image bedroom = Solid((0,0,0,255))#"bedroom.jpg"
    image station = "station.jpg"
    
    image auditorium bw = "auditoriumbw.jpg"
    image jrclassfront bw = "classbw.jpg"#"jrclassfrontbw.jpg"
    image jrclassback bw = "classbw.jpg"#"jrclassbackbw.jpg"
    image walkhome bw = "walkhomebw.jpg"
    image bedroom bw = Solid((0,0,0,255))#"bedroombw.jpg"

    #image rooftopsketch = "rooftop-sketch.jpg"
    image rooftop = "rooftop.png"
    image classroom = "class.jpg"
    image corridor = "corridorSmall.png"
    
    image rooftop bw = "rooftopbw.png"
    image classroom bw = "classbw.jpg"
    image corridor bw = "corridorSmallbw.png"
    
    image black = Solid((0, 0, 0, 255))
    #image white = Solid((255,255,255, 255))
    #image yellow = Solid((255,255,0,255))
    #image blue = Solid((0,0,255,255))
    #image sky = Solid((150,200,255,255))
    
    # my images
    
# Character pictures.
    #image eileen happy = "9a_happy.png"
    #image eileen vhappy = "9a_vhappy.png"
    #image eileen concerned = "9a_concerned.png"
    
    $ cblink = anim.SMAnimation("a",
        anim.State("a", "cheryl-eyes.png"),
        anim.Edge("a", 1.0, "a", prob=9),
        anim.Edge("a", 0.15, "b"),
        anim.State("b", "cheryl-eyes-blink.png"),
        anim.Edge("b", 0.15, "c"),
        anim.State("c", "cheryl-eyes-closed.png"),
        anim.Edge("c", 0.15, "d"),
        anim.State("d", "cheryl-eyes-blink.png"),
        anim.Edge("d", 0.2, "a")
        )
        
    $ csadblink = anim.SMAnimation("a",
        anim.State("a", "cheryl-sad-eyes1.png"),
        anim.Edge("a", 1.0, "a", prob=9),
        anim.Edge("a", 0.15, "b"),
        anim.State("b", "cheryl-eyes-blink.png"),
        anim.Edge("b", 0.15, "c"),
        anim.State("c", "cheryl-eyes-closed.png"),
        anim.Edge("c", 0.15, "d"),
        anim.State("d", "cheryl-eyes-blink.png"),
        anim.Edge("d", 0.2, "a")
        )
        
    $ cblinkbw = anim.SMAnimation("a",
        anim.State("a", "cheryl-eyes-bw.png"),
        anim.Edge("a", 1.0, "a", prob=9),
        anim.Edge("a", 0.15, "b"),
        anim.State("b", "cheryl-eyes-blink-bw.png"),
        anim.Edge("b", 0.15, "c"),
        anim.State("c", "cheryl-eyes-closed-bw.png"),
        anim.Edge("c", 0.15, "d"),
        anim.State("d", "cheryl-eyes-blink-bw.png"),
        anim.Edge("d", 0.2, "a")
        )
        
    $ csadeyes = anim.SMAnimation("a",
        anim.State("a", "cheryl-sad-eyes1.png"),
        #anim.Edge("a",0.05,"a"),
        anim.Edge("a",0.15,"b"),
        anim.State("b", "cheryl-sad-eyes2.png"),
        #anim.Edge("b",0.05,"b"),
        anim.Edge("b",0.15,"a")
        )
        
    #$ ctear = anim.SMAnimation("shallow1",
      # anim.State("shallow1", "tear-shallow1.png"),
       #anim.Edge("shallow1", 0.4, "outside1"),
       #anim.Edge("shallow1", 0.4, "outside2"),
       ##anim.Edge("shallow1", 0.2, "inside1"),
       #anim.State("outside1", "tear-outside1.png"),
       #anim.Edge("outside1", 0.4, "outside2"),
       #anim.Edge("outside1", 0.4, "outside3"),
      ##anim.Edge("outside1", 0.2, "shallow1"),
       ##anim.Edge("outside1", 0.2, "inside1"),
       #anim.State("outside2", "tear-outside2.png"),
       #anim.Edge("outside2", 0.4, "outside1"),
       #anim.Edge("outside2", 0.4, "outside3"),
       #anim.State("outside3", "tear-outside3.png"),
       #anim.Edge("outside3", 0.4, "outside1"),
       #anim.Edge("outside3", 0.4, "outside2"),
       ##anim.Edge("outside2", 0.2, "inside1"),
       ##anim.Edge("outside2",0.2, "shallow1"),
       ##anim.State("inside1", "tear-inside1.png"),
       #anim.Edge("inside1", 0.2, "inside2"),
       #anim.State("inside2", "tear-inside2.png"),
       #anim.Edge("inside2", 0.2, "outside1"),
       #anim.Edge("inside2",0.2,"outside2")
       #)
       
    $ newtear = anim.SMAnimation("1",
       anim.State("1","newtear1.png"),
       anim.State("2","newtear2.png"),
       anim.State("3","newtear3.png"),
       anim.State("4","newtear4.png"),
       anim.State("5","newtear5.png"),
       anim.State("5-2","newtear5-2.png"),
       anim.State("6","newtear6.png"),
       anim.State("7","newtear7.png"),
       anim.Edge("1",0.2,"2"),
       anim.Edge("2",0.2,"3"),
       #anim.Edge("2",0.2,"1"),
       anim.Edge("3",0.2,"4"),
       anim.Edge("4",0.2,"5"),
       anim.Edge("5",0.2,"6"),
       anim.Edge("5",0.2,"5-2"),
       anim.Edge("5-2",0.2,"2"),
       anim.Edge("6",0.2,"7"),
       anim.Edge("7",0.2,"5"))
       
    $ tearyeyes = anim.SMAnimation("1",
       anim.State("1","newtear1.png"),
       anim.State("2","newtear1-2.png"),
       anim.Edge("1",0.2,"2"),
       anim.Edge("2",0.2,"1"))
    
    ###################### color cheryl without bow #######################
    
    # color cheryl that doesn't blink
    image cheryl noBlink = im.Composite((270, 550),
                                        (0, 0), "cherylBase.png",
                                        (0,0), "cheryl-mouth.png",
                                        (0,0), "cheryl-eyes.png",
                                        (0,0),"cheryl-happy-eyebrows.png")

    # color cheryl that blinks
    image cheryl = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-mouth.png",(0,0),"cheryl-happy-eyebrows.png")
    
    # color cheryl that is a little upset
    image cheryl upset = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),csadblink,(0,0),"cheryl-upset-mouth.png",(0,0),"cheryl-sad-eyebrows.png")
    
    # happy cheryl that blinks
    image cheryl happy = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-happy-mouth.png",(0,0),"cheryl-happy-eyebrows.png")
    
    # cheryl with a smile that blinks
    image cheryl smile = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-mouth-smile.png",(0,0),"cheryl-happy-eyebrows.png")

    # sad cheryl with shaking eyes
    image cheryl sad = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png")
    
    # sad cheryl that cries a little
    image cheryl sobbing = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),tearyeyes,(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png")

    # sad cheryl that cries profusely
    image cheryl crying = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),newtear,(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png")
    
    ###################### color cheryl with bow #######################
    
    # color cheryl that blinks and has a bow
    image cheryl bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-mouth.png",(0,0),"bow.png",(0,0),"cheryl-happy-eyebrows.png")
    
    # happy cheryl that blinks
    image cheryl happy bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-happy-mouth.png",(0,0),"cheryl-happy-eyebrows.png",(0,0),"bow.png")
    
    # cheryl with a smile that blinks
    image cheryl smile bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-mouth-smile.png",(0,0),"cheryl-happy-eyebrows.png",(0,0),"bow.png")

    # cheryl with a smile that blinks
    image cheryl upset bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),cblink,(0,0),"cheryl-upset-mouth.png",(0,0),"cheryl-sad-eyebrows.png",(0,0),"bow.png")

    # sad cheryl with shaking eyes and bow
    image cheryl sad bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png",(0,0),"bow.png")
    
    # sad cheryl that cries a little
    image cheryl sobbing bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),tearyeyes,(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png",(0,0),"bow.png")

    # sad cheryl that cries profusely and has a bow
    image cheryl crying bow = LiveComposite((270,550),(0,0),"cherylBase.png",(0,0),newtear,(0,0),csadeyes,(0,0),"cheryl-sad-eyebrows.png",(0,0),"cheryl-sad-mouth.png",(0,0),"bow.png")
   
    ###################### black and white cheryl without bow #######################
    
    # black and white cheryl that doesn't blink
    image cheryl bw noBlink = im.Composite((270, 550),
                                        (0, 0), "cherylBasebw.png",
                                        (0,0), "cheryl-mouthbw.png",
                                        (0,0), "cheryl-eyes-bw.png",
                                        (0,0),"cheryl-happy-eyebrowsbw.png")
                                        
    # black and white cheryl that blinks
    image cheryl bw = LiveComposite((270,550),(0,0),"cherylBasebw.png",(0,0),cblinkbw,(0,0),"cheryl-mouthbw.png",(0,0),"cheryl-happy-eyebrowsbw.png")
    
    # black and white upset cheryl that blinks
    image cheryl upset bw = LiveComposite((270,550),(0,0),"cherylBasebw.png",(0,0),cblinkbw,(0,0),"cheryl-upset-mouthbw.png",(0,0),"cheryl-sad-eyebrows.png")

    # black and white cheryl with a smile that blinks
    image cheryl smile bw = LiveComposite((270,550),(0,0),"cherylBasebw.png",(0,0),cblinkbw,(0,0),"cheryl-mouth-smilebw.png",(0,0),"cheryl-happy-eyebrowsbw.png")

    # happy black and white cheryl that blinks
    image cheryl bw happy = LiveComposite((270,550),(0,0),"cherylBasebw.png",(0,0),cblinkbw,(0,0),"cheryl-happy-mouthbw.png",(0,0),"cheryl-happy-eyebrowsbw.png")
    
    # black and white cheryl with no expression
    image cheryl bw nx = "cherylBasebw.png"
    
    
    
    ###################### black and white cheryl with bow #######################
    
    # black and white cheryl with no expression
    image cheryl bw bow nx = im.Composite((270, 550),
                                        (0, 0), "cherylBase.png",
                                        (0,0), "bow.png")

    #image cheryl angry = "cheryl_angry.png"
    

    # Character objects. These lets us have the character say
    # dialogue without us having to repeatedly type her name. It also
    # lets us change the color of her name.

    $ a = Character("Allen",
        color = "#000000",
        black_color = "#B8B8B8",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_color = "#000000",
        what_black_color="#B8B8B8",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ ac = Character("Allen",
        color = "#ffffff",
        black_color = "#3e29ff",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_color = "#ffffff",
        what_black_color="#3e29ff",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ c = Character("Cheryl",
        color = "#000000",
        black_color = "#e7e7e7",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_color = "#000000",
        what_black_color="#e7e7e7",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ cc = Character("Cheryl",
        color = "#ffffff",
        black_color = "#ffa829",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_black_color="#ffa829",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ j = Character("Julie",
        color = "#ffffff",
        black_color = "#6C00D0",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_black_color="#6C00D0",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ sg = Character("Some Girl",
        color = "#000000",
        black_color = "#e7e7e7",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_color = "#000000",
        what_black_color="#e7e7e7",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))

    $ n = Character(None,
        what_font="subfont",
        what_color = "#000000",
        what_black_color="#B8B8B8",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.4,
        show_say_vbox_properties=dict(xalign=0.5))
        
    $ nc = Character(None,
        what_font="subfont",
        what_black_color="#3e29ff",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.4,
        show_say_vbox_properties=dict(xalign=0.5))
        
    $ ec = Character("Everyone",
        black_color = "#FF0000",
        xalign=0.5,
        text_align=0.5,
        what_prefix = "\"",
        what_suffix = "\"",
        what_font="subfont",
        what_black_color="#FF0000",
        what_layout="subtitle",
        what_xalign=0.5,
        what_text_align=0.5,
        window_background=None,
        window_yminimum=0.5,
        show_say_vbox_properties=dict(xalign=0.5))        
        

#Character('Allen',color=(100,100,255,255))
    #$ style.button.background = Frame("buttonBG.png", 5, 5)
    #$ style.button.xminimum = 200
    #$ style.button.yminimum = 50
    
    
    #endings
    
    # to prevent auto forward with speech: $ config.afm_callback = lambda : not renpy.sound.is_playing(2)

# The start label marks the place where the main menu jumps to to
# begin the actual game.


    
    
label start:
    $ menu_not_shown = True
    scene black 
    with dissolve
    
    #show cheryl
    #nc "This is Cheryl"
    #show cheryl upset
    #nc "Cheryl Upset"
    #show cheryl happy
    #nc "Cheryl happy"
    #show cheryl smile
    #nc "Cheryl smile"
    #show cheryl sad
    #nc "Cheryl sad"
    #show cheryl sobbing
    #nc "Cheryl sobbing"
    #show cheryl crying
    #nc "Cheryl crying"
    
    
    show expression Text("Chapter 1:  The Path to Isolation", size=22, color="#000000", black_color="#e7e7e7", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve


    # Clear the game runtime timer, so it doesn't reflect time spent
    # sitting at the main menu.
    $ renpy.clear_game_runtime()        

    # Start some music playing in the background.
    $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1,if_changed=True)
    #$ renpy.music.play('loop1.ogg')

    # Store the current version of Ren'Py into a variable, so we can
    # interpolate it into the next line.
    $ version = renpy.version()

    # Display a line of dialogue. In this case, we manually specify
    # who's saying the line of dialogue. We also interpolate in the
    # version of Ren'Py we're using.
    

    
label begin:
    $ save_name = 'Entrance Ceremony'
    scene auditorium bw with trifade
    n "Rows and rows of people... So many faces... so many faces I don't recognize..."
    n "Standing in that stuffy auditorium, with all the students crammed into uniform lines..."
    n "There were more students than I had expected."
    n "The principle was droning on about nature, and how our lives are just beginning to blossom..."
    n "... but that we needed to make an effort if we wanted to bloom into a beautiful flower..."
    n "Or some nonsense like that..."
    n "I turned to my left to see the student standing next to me..."
    n "As expected, his face was foreign to me... His name unknown. His past... divided from me. And his future... forever unlinked to my own..."
    #"Life is a chain, with each link forged through a past experience."
    #"The earlier the experience, the stronger the link."
    #"The later the experience... the weaker the link."
    #"It is too late to forge any strong links now... Only weak links..."
    #"A fragile chain... that's all I can make now."
    #"That is what the last three years of middle school have taught me..."
    #"A fragile chain, with links that will one day break..."
    #"I don't want that pain, that sorrow."
    #"I don't need the heartache that accompanies a collection of broken links..."
    #"So I won't let that happen. I won't accept the weak links of others- they will just bring me sorrow..."
    n "A virtual chasm separates us."
    n "While we may exist in physical proximity, there will always be an unbridgeable gap between us."
    n "... that is the truth I've learned..."
    n "I expand my view from the one student next to me, to take in the full view of all the students in the auditorium."
    n "Rows and rows of people... with nameless faces."
    #"People with chains that will never link to mine."
    n "This feeling of isolation... seems normal somehow. But being completely surrounded by unfamiliar people..."
    n "It is reminiscent of my entrance into middle school... back when I was still so naive."
    
    
label newJrHigh:
    scene black with trifade
    $ save_name = "A New Jr. High"
    
    n "It seems like so long ago. My father got a promotion at work, and was required to relocate to company headquarters immediately."
    n "I had just began middle school at the time. I knew almost everyone in the entire school- not just those in my class. There were only a handful of people I hadn't met. Most people I knew from elementary school- had known them for years."
    n "So many people... so many that I knew..."
    n "But then... I moved... And I had to leave everyone behind..."
    n "I tried telling myself it would be exciting. Going to a new place, meeting new people. It would be fun, right?"
    n "That's what I told myself."
    n "But I don't think I did a good job of convincing myself."
    n "..."
    n "Probably because... I was wrong..."
    scene jrclassfront bw with trifade
    n "I remember standing at the front of class on that first day. Looking into everyone's faces. So many faces..."
    n "They were all talking and laughing with the other students sitting next to them."
    n "This is going to be fun, right?"
    n "But then why did I feel so nervous and so afraid?"
    n "The teacher quieted the class, so I could introduce myself. I said my name, and pronounced a polite greeting. The class echoed the greeting in unison. They seemed friendly enough..."
    #scene jrclassback bw with trifade
    n "I slowly made my way to the back of the room, towards the only available seat. After sitting down, I Looked over to the boy sitting to the left of me. I wondered if we might become good friends."
    menu:
        "Introduce yourself":
            $ courageous = True
            n "I introduced myself, and he turned to look at me for a second and responded with a simple \"Hello\"."
        "Wait for him to introduce himeself":
            $ courageous = False
            n "I sat patiently, hoping he would introduce himself. He already knows my name, after all... If he wants to be friends, he'll start talking to me."
            n "He turned his head to look at me, and looked as though he might say something, but..."
    n "He then turned the other way and began talking with the boy on the other side of him."
    n "He already had a friend..."
    n "I took a slow survey of the classroom, and it seemed like everyone was talking with someone else."
    n "Someone else... besides me..."
    n "The teacher quieted the class once again, and began the lesson."
    
    scene black with trifade
    
label walkingHome:
    scene walkhome bw with trifade
    $ save_name = "Walking Home"

    n "Walking home on that first day of attending my new school, I saw some of my classmates talking."
    n "They were a little ways ahead, so I quickened my pace to catch up, and listen to what they were talking about."
    n "As I neared them, and their voices became audible, I realized that they were complaining about the gym instructor."
    n "He was a rough teacher- I had only had his class for one day, and I was already worn out."
    if courageous:
        n "I joined in, complaining about all the extra laps we were forced to run today"
        n "They turned around to see who was behind them, and when they saw it was me, they seemed a little irritated."
        n "Without saying a word, they turned back around, and continued walking. But this time, walking a little faster... and talking a little quieter..."
        n "In response, I slowed my pace, until they were gone from my view..."
    else:
        n "I listened quietly to the conversation for a while. There was nothing that I could really say- I didn't really know them."
        n "I could tell that they were in my class, but I couldn't remember their names or anything..."
        n "After a few minutes, the path my classmates took branched from my own, and we headed our separate ways."
    n "I continued walking home, but now in silence..."
    
    n "Walking home that afternoon became the model of my life for the next three years..."
    n "Surrounded by laughter, I would remain silent."
    n "Surrounded by people I should know- people who should be my friends. Yet..."
    n "... strangely alone."
    
    scene black with trifade
    
label names:
    scene jrclassfront bw with trifade
    $ save_name = "What is a name?"
    
    n "At first I thought that maybe the problem was just that I didn't know anyone's name. If I could learn everyone's name, then maybe..."
    n "...maybe I could make some friends."
    n "And so I determined that I would learn everyone's name. And after that..."
    n "... I'd finally be able to enjoy conversation with my classmates."
    n "..."
    n "As if things would change..."
    n "I was such a fool..."
    n "Learning names... what a wasted effort."
    n "After memorizing everyone in my class, I started talking to them."
    n "Calling them by name. Asking \"How are you?\"... "
    n "Trying to start a conversation..."
    n "I tried starting a conversation about anything. School, the latest movies, the events of last weekend, sports..."
    n "Sure, they answered my questions. But that's all they did. They didn't actually talk about anything..."
    n "And they would answer in a monotone, disinterested voice. It felt more like an interrogation than a conversation..."
    n "And as soon as one of their friends would come by, they would suddenly turn away from me, and begin talking with them."
    n "Their blank expression was replaced with a cheerful smile, and their monotonous tone became lively again."
    n "...Why?"
    n "Why was it like this?"
    n "I didn't understand at first..."
    n "I had lots of friends at my previous school..."
    n "We talked all the time. The teacher was always getting mad at us, telling us to be quiet."
    n"I didn't understand why I couldn't talk with people the same way now."
    n "But then I realized..."
    scene black with trifade
    n "I didn't know anyone. Not really... And no one knew me..."
    n "It was foolish to think learning their names would do anything. A person isn't just a name. Memorizing someone's name doesn't mean you know them."
    n "Memorizing names was pointless..."
    n "To know someone, you have to know their past. You have to have a history..."
    #"Life is a chain. A chain linked by past events and people you've known."
    n "But my past, my history... was with my old friends."
    n "Memories of old friends... that was all I had..."
    #"Links of a chain made with people who were hundreds of miles away..."
    n "Friends that were now hundreds of miles away."
    #"Links that were now rusting."
    #"I can't simply generate a history. I can't spontaneously create a past from nothing."# Links in life's chain aren't made from nothing."
    n "Everyone at school had a past with everyone else."#  Their chains were linked."
    n "Everyone... except me."
    #"But I existed as a lone rusting chain, separated from all those around me."
    
    n "There was a void in me... A gap in my past. A hole that was impossible to fill."
    #"Links forged in the past will always be stronger than new ones."
    n "I didn't know anyone in the past, and no one knew me. And nothing I could do would ever change that."
    n "After I realized that, I stopped trying to talk to people..."
    
label invisible:
    scene jrclassfront bw with trifade
    $ save_name = "Am I Invisible?"

    n "Days would go by..."
    n "Long, seemingly endless days..."
    n "Days without anyone saying a word to me..."
    n "It was as if they couldn't see me..."
    n "I would start to wonder if I had become invisible..."
    n "But, that's impossible, right? People don't turn invisible- it just doesn't happen."
    n "Besides, I knew they could see me."
    n "\"Excuse me\" they'd say, if I was in their way. And no one ever sat in my seat, or ran into me."
    n "If I was really invisible, people would be walking into me all the time..."
    n "No, I knew I wasn't invisible..."
    n "People just didn't care that I was there. So, I guess..."
    n "I may as well have been invisible..."
    
    scene black with trifade
    
label walkingHome2:
    $ save_name = "It's Pointless"
    
    n "I'm not sure when it happened, but I somehow became accustomed to this way of life. Attending school in silence, walking home in silence. Studying, sleeping. Then repeating."
    n "It was lonely and depressing at first. At least, that's what I seem to remember..."
    n "But eventually my own thoughts were enough to entertain me. There were so many things I didn't fully understand. So many things to think about."
    n "For a while, I would listen to the conversations of others, and analyze what was being said. But listening to so many conversations, I eventually came to the conclusion that..."
    n "... talking was such a waste of time."
    n "I didn't know them. They weren't my friends. So what did it matter? Whatever they were talking about wasn't any of my business."
    n "And besides... it was usually just about dumb stuff anyway..."
    n "Who's going out with who... Mr. Torino is a horrible teacher... did you see the basketball game yesterday..."
    n "It was all pointless talk- nothing that really mattered."
    n "So at some point I stopped listening to what people were talking about. I didn't need anyone to talk to. I didn't need to waste my time like that."
    
label firstClassPeriod:
    scene auditorium bw with trifade
    $ save_name = "First Class"
    n "That feels like so long ago. Now I'm attending my first year of high school..."
    n "With all the free time on my hands during middle school, I spent a lot of time studying."
    n "So I did really well in school, and ended up taking the entrance exams for a more prestigous school than most of my classmates."
    n "Once again, those who I had known have completely faded from my life."
    n "I'm met with rows upon rows of unknown faces."
    n "I had forgotten what it was like to not know anyone's face or name..."
    n "Sure, it wasn't like I had left any friends behind but..."
    n "Knowing everyone's name had made things... convenient. At least I could address people properly..."
    n "And I don't know if I have the energy or will to even try to learn everyone's name now..."
    n "Man, what a pain..."
    n "Before I had the motivation of making friends..."
    n "... but I know how futile that is now."
    n "... ..."
    n "Before I realize it, the entrance ceremony for high school has ended. All the students begin conversing with one another, shuffle out of the auditorium, and head to homeroom."
    n "Of course, no one turns to speak with me. No one knows I exist."
    scene corridor bw
    n "My legs feel lethargic as I struggle to guide them in the direction of class."
    n "So many blank faces..."
    n "I don't want to deal with this..."
    scene classroom bw
    n "Somehow I find my way to class."
    n "It seems most of the students had managed to find the class before me, and had already taken their seats, and were conversing loudly, waiting for the teacher to arrive."
    n "I spot an isolated desk in the back corner of the room. The seats in front and beside it are both still vacant."
    n "Seeking the quietest place to sit, I take my seat at the isolated desk- separated somewhat from the rest of the class."
    
    n "Everyone is talking so loudly... it's giving me a headache- can't they just wait patiently? I lay my head down on the desk, and wait."
    n "A few moments later I hear some shuffling directly in front of me, and I raise my head from my desk to discern the cause."
    show cheryl bw nx
    n "A girl drops her pack on top of the desk in front of me and sits in the chair."
    n "... another unknown, nameless face..."
    n "I hope she's not the boisterous type... that's just what I need this early in the morning."
    
    $ renpy.music.play('stoic_morning.ogg', fadein=1,fadeout=1)
    #show cheryl happy

label bestFriends:
    $ save_name = "Best Friends?"
    show cheryl bw happy with dissolve
    sg "Hi, my name is Cheryl. Let's be good friends, ok?"
    a "..."
    n "Is she talking to me?"
    n "I slowly look around for anyone else nearby whom this girl might be addressing..."
    n "... but my desk was in the back corner of the room. It was just the two of us."
    n "She wants to be friends? Good friends?"
    n "Those inviting words seem so strange to me now..."
    n "I seem to recall days long ago when friends were made so easily. \"Let's be friends\" was all it took."
    n "But, things aren't so simple anymore."
    show cheryl bw
    n "Friends aren't made that easily now. I don't know her. She doesn't know me. We can't be friends..."
    n "... not really..."
    show cheryl bw nx with dissolve
    n "Doesn't she understand that?"
    sg "Uhh... hello?"
    a "Oh! Uhh..."
    n "I guess I took a little too much time to think there. She probably thinks I'm weird now, or something."
    n "... not that it matters."
    
label startHere:
    scene classroom bw
    show cheryl bw nx

    a "Sorry, but I really don't think that would work out."
    sg "Why do you say that? We haven't even met before."
    a "Exactly."
    sg "... What?"
    n "... I guess she really doesn't get it."
    a "We've never met before. We can't be friends. You don't even know a single thing about me..."
    sg "What's your name?"
    a "M-my name?"
    n "A little surprised at the change of subject, I studder."
    show cheryl bw happy with dissolve
    n "With a large grin, she looks at me and answers,"
    sg "Yes. Your name. You know, that thing people call you? What is it?"
    n "It wasn't very funny, but I smile slightly..."
    a "Allen. That's my name..."
    sg "Ok, Allen. Now we've met. And now I know at least one thing about you. Your name."
    n "My name? That doesn't mean anything..."
    sg "In fact, I think I know another thing about you too..."
    a "Oh? And what's that?"
    sg "That you're a very nice guy."
    n "... a nice guy...? What's that supposed to mean? How can she even say that? We only just met... Pointless flattery, that's all it is. But..."
    n "... it did feel kind of nice to hear it."
    a "... thanks... Cheryl..."
    n "Cheryl smiles widely again, and retakes her seat. Shortly after, the teacher shuffles through the doorway, and class begins."
    scene black with trifade
    $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1)
    scene corridor bw with trifade
    
    n "The cafeteria is so crowded. Every table is occupied. Even the atrium next to the cafeteria is brimming with students."
    n "... so many people... I just want to be alone."
    n "I wander the halls aimlessly, looking for a good place where I can sit down and eat quietly."
    n "I come to a door with the words \"Roof Access\" inscribed on it. It's probably locked, but I don't see anywhere else to go, so I place my hand on the knob and give it a turn."
    n "To my surprise, the knob turns easily and the door cracks open. It's dark and musty inside, but I enter anyway. After climbing some old cement steps, I exit through a door, and find myself on the roof."
    scene rooftop bw with trifade
    $ save_name = "On the roof"
    
    n "A cool breeze blows, playing with the tufts of my hair. I can hear a few students conversing and laughing far away, but other than that, it's silent."
    n "Not a single student in sight. I breathe a heavy sigh, and sit down to enjoy my lunch in solitude."
    n "I hear the door creak open behind me, followed by light footsteps coming towards me..."
    n "... just when I was finally alone..."
    $ renpy.music.play('stoic_morning.ogg', fadein=1,fadeout=1)
    n "I turn around to find the girl from homeroom heading my way."
    n "... Cheryl if I recall correctly..."
    show cheryl bw
    c "Hi, Allen. How are you?"
    n "Cheryl greets me politely, as she sits down next to me."
    a "Oh, I'm Alright..."
    n "I drone. Why do people even ask that question? \"How are you?\" No one really cares... No one really wants to know..."
    c "Really?"
    n "I look at Cheryl's face, and see a distinct look of concern."
    a "... what?"
    c "Alright? Are you really alright? You sounded kind of sad when you said it... And I wondered if you really meant it."
    n "I pause and look at Cheryl's concerned face for a moment, then hesitantly respond,"
    a "...Yeah... I mean, yes, I meant it. Sorry, I'm kind of distant sometimes..."
    show cheryl smile bw
    n "The concern in Cheryl's face flees as she quickly beams a smile."
    c "That's ok. You must be a really deep thinker."
    a "... right..."
    show cheryl bw
    n "I start to unpack my lunch I brought and, seeing what I'm doing, Cheryl starts unpacking her lunch as well."
    n "... Is she really planning on eating with me?"
    c "Do you mind if I eat with you?"
    n "..."
    a "No, go ahead."
    n "And so, we both begin eating together."
    c "So, do you have any brothers or sisters?"
    a "... no. I'm an only child."
    c "..."
    a "..."
    c "...uh, do you have any pets?"
    a "No. My father won't allow it. All of the food, and the cleanup, and the healthcare... He says they aren't worth the trouble. But you know, I always wanted..."
    a "..."
    n "What am I doing? Why am I talking about this? None of this stuff matters..."
    c "You always wanted...?"
    a "... it's nothing."
    show cheryl upset bw
    n "I notice a slight frown cross her face, but it quickly leaves."
    show cheryl bw
    c "How about hobbies? Are you going to join any clubs?"
    a "No."
    n "... what's with the third degree? ..."
    c "Well, I'm going to join the crochet club. My mom taught me how to crochet several years ago, and it's pretty fun."
    c "You learn how to make lots of cool stuff. And by joining the club, I'll get to make lots of new friends."
    n "... mother..."
    $ renpy.music_stop(fadeout=None)
    a "Look!"
    hide cheryl
    n "I stand up abruptly and turn my back to Cheryl."
    a "Why are you even telling me this?! It's not like any of it matters to me! Why are you even here?! It's not like we're friends, or anything! Why don't you just leave me alone?!"
    c "... but, we are friends..."
    a "Yeah right. Don't be ridiculous- we can't be friends! We've never been friends before, why would we start being friends now?!"
    c "... well... because everyone needs a friend."
    a "Not me. I don't need anybody. I'm perfectly fine by myself."
    show cheryl bw
    n "Cheryl slowly walks around me to face me again, and looks into my eyes."
    show cheryl bw with dissolve
    c "You... don't want to be my friend?"
    a "..."
    n "I don't need anyone. I don't. I'm fine by myself. But..."
    n "... is that what I actually want? Don't I want a friend? Isn't that what I've always wanted?"
    a "It's not... I just..."
    n "It's not about what I want. It's not. I can't have what I want... So why chase after it... it would be pointless."
    c "What is it? What's on your mind?"
    n "Cheryl's questioning eyes are too hard to look at, so I turn my head to break eye contact, but I can still feel her looking at me."
    a "Just..."
    a "..."
    a "Please, just leave..."
    c "..."
    n "Cheryl begins to phrase several words in her mouth, trying to find something to say. But in the end, decides to say nothing."
    show cheryl upset bw
    n "With a somber look, Cheryl turns away, walking towards the door. Placing her hand on the knob, she pauses for a moment."
    show cheryl smile bw
    n "Mustering a smile, she turns to look at me."
    c "Enjoy your lunch."
    hide cheryl
    n "Cheryl disappears behind the door as it closes behind her. Silence envelopes me, and once again I am left alone."
    n "Standing there by myself, a familiar feeling I had almost forgotten... seemed to drop it's weight on me once again."
    n "I look down at my lunch and consider eating, only to realize that I don't feel so hungry anymore."
    n "I set my lunch aside and gaze off into the distant horizon."
    a "Am I..."
    a "..."
    a "... wrong?"
    scene black with trifade

    show expression Text("Chapter 2:  A Chance for Change", size=22, color="#000000", black_color="#e7e7e7", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    $ save_name = 'Am I wrong?'
    $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1)
    scene bedroom bw with trifade
    n "I fall on my back and collapse on my bed. Staring aimlessly at the ceiling, I try not to think about it- but in the end, it's futile."
    a "I don't get it! It doesn't make any sense!"
    n "I shout. But verbalizing it doesn't help..."
    n "What's going through her mind? Doesn't she realize..."
    n "Doesn't she realize that we can't be friends. Not really..."
    n "True friends are friends who have been together since before they can remember."
    n "They've shared precious experiences, and made unforgettable memories. That's what binds friends together."
    n "Without that bond, people have no reason to stick together- they have no reason to be friends."
    n "But... Cheryl wanted to be my friend? Why? Why would she want to be my friend?"
    n "I'm not good looking. I'm not popular- that should be really obvious. And we don't know anything about each other."
    n "My name? Yeah, she knows my name. Big deal. A name doesn't mean anything. I learned all of my classmates' names before, and it was useless."
    n "I agonize over these thoughts for several minutes, but fail to come to any sort of conclusion about anything."
    n "I slowly start to recall all of the various questions Cheryl asked me on the roof."
    n "My family... pets... hobbies..."
    n "... was she..."
    n "... trying to learn about me?"
    n "Was she... trying to make up for an empty past?"
    n "Maybe she thinks that if you learn enough about a person, you can become friends. Real friends."
    n "Is Cheryl right? Am I wrong? Have I spent the last three years alone for no reason?"
    n "I don't know..."
    n "I sit up on my bed, and begin to contemplate more intensely."
    n "Up 'til now, I've had no reason to doubt my beliefs. Everyone I've met has reinforced my perceptions of the world."
    n "But, Cheryl... she's different. She's unlike anyone I've ever met before..."
    n "I don't think I was wrong before, but now... perhaps the rules are changing."
    n "Maybe we can become friends if we both want to."
    n "..."
    n "What am I talking about? This is crazy!"
    n "I meet a girl for one day, exchange a few words, and the entire world changes? That's completely irrational- it doesn't make any sense!"
    n "..."
    n "But..."
    n "What if she is right? What if we really can become friends? Isn't it worth giving it a chance, and trying to find out?"
    #show rooftop with qtrifade
    #show largeText "JUST LEAVE ME ALONE!"
    #$ renpy.pause(1)
    #hide largeText
    #hide rooftop with qtrifade
    n "I suddenly remember my reaction to Cheryl's kindness, and my hope plummets."
    n "...she probably doesn't even want to be friends with me anymore. Who would? The way I treated her..."
    n "I suddenly realize that my words, my actions, my attitudes... they were just like how I was treated three years ago..."
    n "Seeking a friend, I reached out to those around me... but I was only met with rejection. It was so painful- to reach out so desperately for a friend, only to be shunned and ignored."
    n "Did... did I make Cheryl feel like that? I must've... She was trying so hard to be my friend, and I cold-heartedly turned her away."
    n "How could I do that? How could I act that way? How could I do so thoughtlessly what others had done to me..."
    n "I'm just like those I knew in Jr. High. Content with what I had, I wouldn't let others near me... I'm just like them."
    n "... no... I'm worse..."
    n "At least they had friends. At least they had something to hold to... something better than me. But I... I've got nothing. Absolutely nothing..."
    n "Despite that, I still won't let anyone near me."
    n "How horrible it must feel, to be told by someone who has nothing, that you're not wanted."
    n "Yet, that's exactly what I did..."
    n "IDIOT! IDIOT! IDIOT!!!"
    n "I'm such an idiot!"
    n "It's over. Completely over... There's just no way... No way that anyone could forgive the way I acted."
    n "Whatever Cheryl saw in me... whatever it was that made her want to be my friend, it's gone now... it has to be."
    n "Maybe there was a chance we could've been friends. Maybe... But that was before. There's no hope for that now."
    #"Lamenting an opportunity lost, I eventually fall asleep."
    scene black with trifade
    
    scene classroom bw with trifade
    $ save_name = "I'm pathetic"
    n "Exhausted from last night's extensive pondering, I trudge to class. The lights all seem a little dimmer- the world a little gloomier. Depressed, I collapse into my chair."
    n "Letting out a long sigh, I try to just relax. But in the end, my depression wins over, and I continue to brood."
    n "I'm such an idiot... Being so mean to the only one who went out of their way to be so nice to me..."
    n "What kind of person does that? How hard is it to return one person's kindness?"
    n "It sure must be a lot easier than taking the initiative, and being nice to someone you don't even know..."
    n "...everyone is nice to someone. Even a jerk is nice to his friends..."
    n "What's happened to me?"
    n "I look down, staring at the palms of my hands. I curl my fingers into a fist, and then release, several times, attempting to assure myself that I am me."
    n "I wasn't like this before, was I?"
    n "...no... I wasn't. I've changed in the past three years. I'm not who I used to be..."
    n "Well, I guess that means it wouldn't have worked out anyway..."
    n "If I had been nice to Cheryl, I might have been able to trick her into being my friend, but she would've figured it out eventually..."
    n "She would've realized sooner or later, that I wasn't being the real me. She would've found out that actually..."
    n "... I'm a disgusting person..."
    n "Then I would've lost her... Right after I had gained it, the thing I'd wanted most would slip right through my fingers. That would've been too painful."
    n "So, things are better this way. I inadvertantly saved myself a lot of grief. Yeah, I did the right thing."
    n "Cheryl walks into the room with the same smile as yesterday- like she doesn't have a care in the world."
    n "I had wondered if she had spent any time agonizing over the events of yesterday as I had. I had lost so much sleep, and felt so stressed out... But she seems fine..."
    n "She probably realized right away how pathetic I am, and just decided to move on without wasting any time worrying about it."
    n "She'll probably never talk to me again. But, no one else does either..."
    n "... so then, why does it bother me so much?"
    n "*sigh*"
    show cheryl bw
    n "Cheryl commences walking to her desk- the desk directly in front of mine..."
    n "Too ashamed to look her in the face, I turn my head, pretending not to notice her approaching."
    c "Good morning, Allen."
    $ renpy.music.play('stoic_morning.ogg', fadein=1,fadeout=1)
    n "Cheryl greets me casually..."
    a "..."
    a "... good... morning..."
    show cheryl smile bw
    n "Cheryl smiles brightly, then takes her seat."
    hide cheryl
    a "..."
    n "... I..."
    n "I... don't understand..."
    n "As cold as I was... she is still being friendly..."
    n "... friendly..."
    n "Maybe it's not too late. Maybe we can still be friends."
    n "... maybe..."
    
    menu:
        "It's not too late":
            jump aware
        "It's hopeless":
            $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1)
            n "What am I thinking? It's impossible. There's no way it would work out. We're too..."
            jump tooLate
            
label tooLate:
    $ save_name = "Too late..."
    n "... different..."
    n "She is so outgoing... and lively... and cheerful..."
    n "Not like me. We're different people. So incredibly different. If I hadn't met her, I probably wouldn't have realized how different I am from her... from everybody. I wouldn't have realized how... broken I am."
    n "People don't think the way I do. They don't act the way I do."
    n "Three years ago... had I met Cheryl three years ago... things might have ended differently..."
    n "... three years ago..."
    n "Why weren't you there three years ago, when I needed you...?"
    n "Why weren't you there, to show me that smile of yours? To eat lunch together and to talk about things that didn't really matter?"
    n "To offer that kind invitation \"Let's be friends\"?"
    show black with dissolve
    n  "Why weren't you there..." with dissolve
    n  "... to save me from what I've become?" with dissolve
    show expression Text("Ending 1 of 3: Too Late", size=22, color = "#000000", black_color="#B8B8B8", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    #n  "Ending 1 of 3: Too Late" with dissolve
    #show black with dissolve
    $ renpy.pause(0.25)
    $ renpy.full_restart()
    
label aware:
    $ save_name = "Hope"
    n "... there's still hope..."
    n "I can't give up... not yet..."
    n "I have to do something... anything..."
    n "I have to tell her... I..."
    n "... I... want to be her friend..."
    n "As I realize what I now must do, a mysterious change begins to overtake my body..."
    n "What... what is this feeling?"
    n "My breathing becomes deep and heavy... and everything suddenly becomes very... real."
    n "The sound of air entering my body as I inhale... and then leaving as I exhale..."
    n "The tick of the clock on the wall. The tapping of pencils on the desks..." 
    n "The beat of my heart... the pulsating of the blood in my veins..."
    n "My perception of all these things seemed to be greatly amplified."
    n "But most of all... I felt keenly aware of what lay before my eyes..."
    n "... the person sitting directly in front of me. Cheryl..."
    n "For the most part, I never paid much attention to anyone around me."
    n "I had my business and everyone else had theirs. The fact that I was ever near anyone didn't really matter."
    n "Generally, I ignored them, and they ignored me... I may as well have been hundreds of miles away from anyone..."
    n "And I usually felt like I was..."
    n "But now... I felt suddenly aware of Cheryl's presence..."
    n "Only a few feet away... almost within arm's length... a person is there..."
    n "... a kind person..."
    n "And there is no ignoring it."
    n "I have to do something..."
    n "I begin to rise slowly from my seat."
    n "I have to tell her..."
    n "But... what will she think? How will she react?"
    n "I freeze, hovering above my desk..."
    n "Won't she think, \"What about yesterday? I thought you didn't need any friends...\" ..."
    n "What if she laughs at me? ...Because she thinks I'm pathetic..."
    n "... because I am pathetic..."
    n "These new fears begin to overtake me..."
    n "... I... I can't..."
    
    if courageous:
        jump haveCourage
    else:
        $ save_name = "I can't..."
        n "... I can't do this..."
        n "... I retake my seat, and feel the immediate shame of defeat..."
        n "But it's quickly subdued by a sense of empty nothingness..."
        n "A feeling that has somehow become quite comfortable."
        $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1)
        n "...Cheryl and I... We're too..."
        jump tooLate
        
label haveCourage:
    $ save_name = "Have Courage"
    n "... but somewhere deep inside, I find a sense of courage that urges me forward..."
    n "... I can't let this opportunity slip by..."
    n "If I don't do something now, I never will."
    n "I compel my legs to walk up behind Cheryl, and open my mouth to speak..."
    a "..."
    n "My mind completely blanks, and I stand there like a fool with my mouth gaping open."
    n "What should I say?! I didn't think this through enough- I'm not prepared for this..."
    n "... I... should sit back down, and think about this some more first..."
    n "No... I cannot back down- It's now or never."
    n "Just say something- anything!"
    a "... I.... Iguana..."
    show cheryl bw
    n "Cheryl turns around slowly and looks at me inquisitively."
    c "Iguana?"
    a "Y-yes... Iguana... An iguana..."
    a "They don't eat very much... because they're cold blooded..."
    c "...?"
    a "And they don't make a big mess... they live in a cage..."
    n "...Cheryl looks confused..."
    n "...I'm such an idiot!"
    n "... I can't even talk sensibly..."
    n "Even if she understood, it wouldn't matter..."
    n "No one cares about things like that. Cheryl doesn't care..."
    n "Knowing what Cheryl must think of me now... I wish I could just vanish into the wall."
    n "Perhaps being invisible wouldn't be such a bad thing..."
    n "Dejected, I return to my seat, but Cheryl remains facing me..."
    n "What is she thinking? Is she thinking about how weird, or dumb I am?"
    n "... Probably..."
    c "You wanted an iguana for a pet?"
    n "... she..." 
    n "..."
    n "... remembered..."
    a "Y-yeah..."
    c "That's cool. What do you like about iguanas?"
    n "... cool...?"
    show cheryl bw noBlink
    #show colorScene with slowDissolve
    show cheryl noBlink with cfade
    show cheryl with None
    show classroom behind cheryl with csfade
    nc "Like a winter's ice at the beginning of spring, the tension in my body melted away."
    nc "And everything suddenly felt surreal."
    nc "Seeing Cheryl look at me with those interested eyes, I felt as though life had gained new meaning."
    nc "... no..."
    nc "... not a new meaning. But an old meaning- one I had lost long ago."
    nc "And so, for the first time in a long time, I talked about meaningless things..."
    ac "Well, you know- they're kind of like mini dragons..."
    nc "... I talked about meaningless things... with a friend."
    nc "...and enjoyed every word."
    scene black with slowDissolve

    show expression Text("Chapter 3:  A New Life", size=22, color = "#ffffff", black_color="#3e29ff", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ save_name = "A new life"

    nc "~ Several Weeks Later ~"
    $ renpy.pause(1.0)
    scene classroom with dissolve
    ac "Hey, what's up?"
    show cheryl bow
    cc "Oh, you know, just the same old stuff."
    ac "Oh, the math assignment drive you crazy again?"
    nc "Cheryl gives me a sour look."
    nc "But it quickly changes into a triumphant pose, and Cheryl pulls a few pencil smudged papers out of her book bag."
    show cheryl smile bow
    cc "It actually went pretty well, if I do say so myself."
    nc "I take the papers in my hand and quickly skim over them..."
    cc "..."
    cc "... well?"
    ac "... it doesn't look good..."
    show cheryl upset bow
    cc "What? I was sure I did it right. Where did I mess up?"
    ac "... it's... just the whole thing... it just... it's really beginning to make me worry"
    nc "Cheryl snatches the papers back and begins intensely reviewing them"
    ac "I mean, at this rate, you'll probably... do better than me on the test..."
    show cheryl smile bow
    nc "Cheryl immediately stops reviewing the assignment, and turns her face as if to say \"I knew I was right\"."
    cc "Ha ha, very funny."
    ac "Seriously, it looks very good. You're really catching on."
    cc "Thanks. It's all because you can explain it so well."
    nc "I blush slightly at Cheryl's compliment."
    show cheryl bow
    cc "So, how is your project going?"
    nc "I flash a quick look at my book bag, and smile slyly."
    ac "It's going very nicely."
    cc "Oh, really? When will I get to see it?"
    ac "Very soon..."
    cc "... I wish you'd just let me see it while you work on it..."
    ac "Very soon..."
    nc "I repeat with a smirk."
    nc "Cheryl searches for something to counter with, but in the end, just changes the subject."
    cc "Let's eat outside today, ok?"
    ac "Outside...? Why? It's already gotten so cold..."
    cc "Oh, come on. It's not that cold. It'll be fun."
    show cheryl happy bow
    nc "Cheryl smiles widely."
    show cheryl smile bow
    ac "Yeah sure, we can eat outside. The normal spot, right?"
    nc "I never can say no when she looks at me with that smile like she does."
    nc "Even if it was the dead of winter, I feel that I wouldn't be able to say no if she insisted."
    nc "Is it a sign of weakness? I don't know... But..."
    nc "...if she has fun, then it will be enough."
    cc "Yeah, the usual place. Oh, and you won't need to buy anything- I brought us both some hot soup."
    nc "She brought hot soup...?"
    nc "..."
    nc "She knew I was going to say yes... She must know that I can't refuse her."
    ac "Are Julie and Dave going to come?"
    show cheryl bow
    cc "No, I've already talked with them, and they won't be coming."
    ac "Oh, ok. So, it'll be just us then."
    show cheryl smile bow
    cc "Yes."
    nc "It almost sounded as if she was happy it would be only us, but I felt it must have been wishful thinking."
    scene black with fade
    $ save_name = "Rendezvous"
    nc "I crack open the large door, and a rush of cool air blows in at my feet."
    nc "*shiver*"
    scene rooftop with fade
    nc "I step out onto the roof where Cheryl is waiting."
    show cheryl bow
    cc "You made it!"
    ac "Of course..."
    nc "She always acts like that. It's as if she's surprised I showed up, even though I told her I would."
    ac "...it's not like I'd get lost or anything."
    cc "Right- I was just a little worried you might change your mind."
    ac "Change my mind? And miss out on some of Miss Cheryl's famous hot soup? Not a chance!"
    cc "Miss Cheryl?"
    nc "A cool breeze blows by, chilling my arms and legs"
    ac "Though, it is a bit cold. I wish they'd change to winter uniforms already..."
    nc "Cheryl smiles as she hands me a steaming thermus. I open the lid and a steady stream of steam begins billowing out the top."
    cc "Well, that should warm you up for now."
    nc "I tilt my head back and take a sip. The warm liquid flows inside me, slowly warming my entire body."
    ac "Oh yeah, this stuff is great. Best soup I ever had."
    cc "Don't be silly."
    show cheryl smile bow
    nc "Cheryl laughs lightly."
    nc "Perhaps from a culinary standpoint, it wasn't the best soup... But..."
    nc "Cheryl had made it just for me. And while I stood there, in the cold weather, with the heat of Cheryl's soup radiating through my body..."
    nc "I confidently thought to myself that I had never tasted anything more delicious."
    ac "So, why did you want to eat out here today?"
    show cheryl bow
    cc "I... just felt we should do something... special... you know?"
    ac "Something special? What do you mean?"
    cc "Well... I figured we wouldn't be coming out here anymore..."
    cc "... because..."
    cc "..."
    cc "... it's getting cold and all..."
    cc "... and so I thought, why not do something special, so we can remember..."
    ac "... all the times we had lunch out here?"
    show cheryl smile bow
    nc "With a sigh of relief, Cheryl turns to me and smiles."
    cc "Yeah, our lunches together."
    ac "It seems like so long ago now, doesn't it? Since we first met?"
    cc "Yeah, it sure does... Lots of things have changed since then..."
    ac "Yeah, they sure have..."
    cc "Remember how you didn't even want to talk to me?"
    ac "Y-yeah, well- it's like you said, a lot has changed..."
    nc "I can't help but blush- how I acted in the beginning..."
    show cheryl bow
    nc "It always embarrasses me to think about it. I look to Cheryl and find her looking closely at my face..."
    cc "... are you... blushing?"
    ac "W-what? What are you talking about? I-It's the cold wind- it always makes my cheeks red like this!"
    show cheryl smile bow
    nc "Cheryl raises her hand to her mouth and chuckles softly."
    ac "W-what?"
    cc "Oh, nothing- you're just so funny sometimes."
    nc "I smile slightly, and a warm feeling begins to glow inside. It always feels like this... when she tells me I'm funny."
    nc "Sometimes I'm not sure if it's a compliment, or an insult, but she always looks so happy when she says it..."
    nc "... and there's no other feeling like knowing she's happy because of me."
    $ renpy.music.play('tmHigher.ogg', fadein=1,fadeout=1)
    show cheryl bow
    nc "Cheryl wanders slowly over to the railing, and gazes wistfully all over the school grounds."
    nc "I follow Cheryl's lead, and take a place beside her next to the railing."
    nc "She seems... sad, somehow..."
    ac "..."
    cc "..."
    ac "The school sure seems smaller now, doesn't it?"
    cc "... yes. It was big at first, but now it seems so familiar..."
    ac "..."
    cc "..."
    nc "We both spend a moment in silence, looking over the railing."
    nc "Cheryl... Cheryl always carried on the conversation..."
    nc "Whenever I wasn't feeling well, and didn't want to talk... or whenever there was a lag in the conversation..."
    nc "... Cheryl always knew what to say. And she always said it..."
    nc "So now, in a moment of silence, I'm not sure what to say."
    nc "But, it feels kind of peaceful, to be alone here with Cheryl. It's... it's sort of like we're still communicating, but without words..."
    nc "And so we both stand, in joined silence. Eating our soup, and gazing across the horizon."
    nc "After several minutes, Cheryl breaks the silence with a whisper..."
    cc "What decides who people are?"
    nc "... what a strange question- Cheryl's never asked me anything like that before..."
    nc "We never talked about the philosophical, or the metaphysical... I didn't know she ever thought about such things."
    nc "I thought it was one of our big differences..."
    cc "...Allen?"
    ac "Hmmm... interesting question..."
    menu:
        "Society decides who people are":
            $ good = False
            ac "Society determines who someone becomes. The experiences of life are what mold a person."
            ac "Great experiences can make a person great."
            nc "I've had some bad experiences in the past, but..."
            nc "... meeting Cheryl was a great experience. I feel like life has afforded me another chance."
            nc "I don't like to think about what things were like before meeting Cheryl. It just feels too empty."
            nc "Life feels so full when Cheryl is next to me. That's how I want to live from now on."
            cc "Society, huh? Perhaps you are right..."
            nc "Looking at Cheryl, I feel that I can't be more right. She is what has saved me."
            nc "We both fall silent for a short period."
            
        "People decide who they are":
            $ good = True
            ac "People are the masters of their own character." 
            ac "Other factors may play a role, but ultimately the choice of who someone is rests entirely on themselves."
            cc "But what if a person's life is really tough? Do you think it's still possible for them to become who they want to be?"
            ac "It will be harder, but if they know who they want to be, and they want it more than anything else, then yes."
            show cheryl smile bow
            nc "Cheryl smiles slowly."
            cc "I think so too."
            cc "Who do you want to be?"
            nc "Who do I want to be? I knew the answer instantly. But, I also knew it was something I could never tell anyone. Especially Cheryl."
            ac "The Prime Minister, of course!"
            nc "Cheryl laughs lightly and gives my shoulder a shove."
            cc "Oh, come on, be serious."
            ac "Hey- I am being serious! You laugh at me now, and I won't appoint you to my cabinet!"
            nc "We both laugh together in the cool Fall air, followed by a period of short silence."
            show cheryl bow
    
    nc "Lunch break is almost over, and we both know it...."
    nc "It's a shame we'll have to go back to classes soon."
    cc "Thank you... for coming outside today. I feel I will always remember this day."
    ac "Yeah, I had fun too. And the soup was great. Really."
    cc "Thanks..."
    ac "..."
    cc "..."
    nc "... it really seems like she doesn't know what to say..."
    nc "Now would be a great time... if I hadn't left it in the classroom. *sigh*"
    nc "I glance down at Cheryl. She seems... preoccupied with something."
    ac "... lost in deep thought?"
    nc "Cheryl looks up at me abruptly."
    cc "...yeah."
    cc "That's supposed to be your job isn't it?"
    nc "I smile. I was always the one keeping deep thoughts hidden. But now our roles seemed somehow reversed."
    nc "It was a bit of a sweet feeling. Now it was my turn to ask..."
    ac "So, what's on your mind?"
    nc "Cheryl ponders the question thoughtfully before responding."
    cc "... yes."
    show cheryl smile bow
    nc "Cheryl smiles peacefully, and all her deep thoughts appear to vanish from her face."
    cc "Yes. That is the right answer. Thank you Allen."
    nc "I feel a bit bewildered that I somehow solved her problem, but glad nonetheless."
    ac "Uh, yeah, sure. Anytime."
    nc "The bell for next period rings, and we both know that we must now get going to our separate classes."
    nc "I open the door, and we both walk back inside the school."
    $ renpy.music.play('stoic_morning.ogg', fadein=1,fadeout=1)
    scene corridor with fade
    show cheryl bow
    nc "The warm air rushes to greet us, and immediately warms us from our extended stay outside."
    nc "We begin walking side by side towards our classes."
    nc "It was a slower walk than I was used to- the kind you might take through the park on a warm day."
    nc "It was as if every step was something to enjoy."
    nc "Definitely not how I viewed walking."
    nc "Quickly getting from where I was to where I needed to be- that was the objective."
    nc "But Cheryl never walked that way. She always took her time. 'No Rush' she'd always tell me."
    nc "At first I had to consciously slow down, so I wouldn't pass her up, and then get separated in the crowd."
    nc "But now it feels natural to walk this way when she's near."
    nc "Before I know it, we've come to hall where we split up."
    nc "Maybe we weren't walking slowly enough..."
    cc "You're coming to club today, right?"
    ac "Yeah, I'll be there. See you then."
    cc "See you."
    hide cheryl
    nc "We quickly wave goodbye, and head our different directions."
    nc "Making a concerted effort, I continue towards class, thoughtfully placing each foot in front of the other."
    scene black with fade
    
    show expression Text("Chapter 4:  Tying Threads", size=22, color = "#ffffff", black_color="#3e29ff", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve

    $ save_name = "Tying Threads"
    scene classroom with fade
    nc "I open the door to club and walk inside."
    nc "I scan the room to see if Cheryl has come yet, but she's nowhere around."
    nc "Some of the other girls are there though, so I greet them all."
    ac "Hey, Julie, Melissa, Kristen- what's up?"
    ec "Oh, hey, Allen- how's it going?"
    ac "Oh, pretty good. Glad classes are finally over for the day."
    nc "Before I make my way across the room and find a seat next to everyone, Julie comes up to me and asks in a low whisper about my project."
    j "So, you finished it right?"
    nc "I smile slyly and show her the red package in my book bag."
    j "You're going to do it today, right?"
    ac "Yeah. I'm planning on it. Hope nothing happens to make me lose my nerve though."
    j "You'll be just fine."
    ac "Thanks."
    ac "For everything I mean."
    j "Yeah, no problem."
    nc "We both go and sit down with the other girls."
    nc "Reaching into my book bag, I pull out my crochet hooks, and a half-finished mitten."
    nc "Crocheting. The art of tying loops into a thread to create a blanket, or some article of clothing."
    nc "Maybe it's a bit girly. I'm the only guy in the club, and the other guys poke fun sometimes, but that's alright."
    nc "It's kind of relaxing- and it gives me time to chat with Cheryl, and Julie, and the other girls."
    j "Hey, those are looking pretty nice- where did you get the pattern?"
    ac "Umm, it came from one of Cheryl's books I think."
    cc "It did."
    show cheryl smile bow
    nc "Cheryl walks in, smiling as usual. Setting her pack down, she takes a seat next to mine."
    cc "Well, my mother's book to be exact."
    j "Oh, your mother's? Did she ever make you a pair of mittens like that?"
    cc "Umm, yeah, that's the same pattern. I still use them in fact."
    j "So, when Allen finishes, then you two will have a matching pair!"
    nc "I instantly blush and fumble my hook."
    nc "All the other girls instantly look up to see our reaction."
    cc "Yeah, I hadn't thought about that."
    nc "Cheryl simply smiles... Doesn't she ever get embarrassed?"
    ac "Well, that's only if I ever finish- something seems wrong, but I can't figure it out..."
    cc "Oh, would you like some help?"
    menu:
        "Ask for help":
            $ independent = False
            ac "Yeah- could you? This part just doesn't seem to work..."
            nc "Cheryl takes the mitten in her hand, and examines my handiwork."
            cc "hmm..."
            cc "... it looks like you're missing a couple slip stiches here."
            nc "I squint my eyes to see where Cheryl is pointing..."
            ac "... oh, I think I see..."
            ac "Thanks."
            cc "Yeah, no problem."
            nc "Cheryl hands the mitten back and I begin fixing the error I had made."
        "Try to do it yourself":
            $ independent = True
            ac "Umm, I think I'd like to try on my own some more first. Thanks though."
            cc "Yeah, sure. If you ever need help, I'll..."
            show cheryl bow
            cc "... I'll be here."
            nc "..."
            ac "Yeah, thanks."
            nc "I look over my work carefully several times..."
            nc "With each pass, I feel more and more frustrated that I can't find what's wrong. But then I notice a few threads that look strange..."
            ac "Oh, I think I got it. Looks like I missed a few slip stiches."
            j "Nice. You'll have that matching pair in no time."
            show cheryl smile bow
            nc "I blush as I pull out the bad stitches, but Cheryl just laughs lightly."
    hide cheryl
    nc "We all talk casually as we continue our work."
    nc "As I weave my hook in and around the yarn, I can't help but realize the similarities..."
    nc "In my hand, I'm tying threads. Weaving links together, to make something stronger than it was before."
    nc "Threads that were once useless are suddenly bound tightly together in the form of something useful. Something beautiful."
    show cheryl bow
    nc "I look over to Cheryl, and see her hard at work weaving her hook in and out, and I breathe a heavy sigh."
    nc "... Yeah... tying threads..."
    hide cheryl
    nc "The bond between strangers is a weak one. I was right about that."
    nc "But things don't need to remain that way. That's where I was wrong..."
    nc "Crocheting begins with a simple slip knot. And making friends begins with a simple \"Hello\"."
    nc "A beginning isn't much, but it's a beginning all the same."
    nc "All great things must have a beginning. So, you have to embrace each new opportunity- otherwise..."
    nc "... you might miss the things in life that would have been the most important to you."
    nc "And you never know when those things might come. They may come when you're just a child, first experiencing the world."
    nc "Or, they may come at the sunset of life, after you thought you had learned everything."
    nc "There is always room to grow, people to meet, and things to learn."
    nc "This is what Cheryl has taught me."
    nc "Gazing at her next to me... my heart seems to well up inside of me."
    nc "\"You are my greatest beginning\", I feel as if to say..."
    nc "This yearning deep inside me... this desire to tell her all the feelings in my heart..."
    nc "... it's almost overpowering at times. Sometimes I feel like I'm on the cusp of another new beginning."
    nc "In those moments, time stands still, and a wealth of opportunity beckons even the slightest of actions."
    nc "One word, one look... one touch..."
    nc "That's all it would take to convey my feelings."
    nc "But..."
    nc "What would happen then? Would it just push her away?"
    nc "Thoughts of Cheryl drifting away from me float through my hazy mind."
    nc "It's that fear that always stops me."
    nc "As close as I come to telling her, as much as I want to..."
    nc "... I can never bring myself to do it."
    nc "\"Some day\", I tell myself. Some day I will tell her."
    nc "And until then, I want to enjoy just being next to her."
    nc "I glance over at Cheryl again, and a sense of tranquility distills upon me."
    nc "A boy in a crochet club. The idea seems so out of place... and yet..."
    nc "Sitting next to Cheryl, relaxing, tying threads..."
    nc "I feel as though I've never belonged anywhere else more."
    scene black with fade
    nc "After a few hours we decide to call it a day."
    nc "Everyone packs up their things, and we all start to head home."
    scene walkhome with dissolve
    $ save_name = "Winter waltz"
    nc "Cheryl and I step out into the cold brisk air."
    nc "We don't live near each other, but we both catch a train at the same station."
    nc "It's nice, being able to walk to the station together at the end of the day."
    nc "It makes everything... complete somehow..."
    nc "I look around, taking note of the dim sky..."
    nc "It isn't too late... it's only about 5:00 PM."
    nc "But there are clouds out, and it seems to be that time of year when the sun starts setting earlier..."
    $ renpy.music.play('tmHigher.ogg', fadein=1,fadeout=1)
    show cheryl bow
    nc "Cheryl and I walk side by side towards the train station."
    nc "Once again, Cheryl falls silent, and we walk together in the quiet of the evening."
    nc "Why... is Cheryl so quiet today...?"
    nc "I can't ditch the feeling that something is terribly wrong..."
    nc "But if something is wrong, why can't she just tell me?"
    nc "We're... friends aren't we?"
    nc "And, friends discuss their problems..."
    nc "I focus my vision on Cheryl's eyes... And I notice a tinge of sadness."
    show cheryl sad bow
    nc "Cheryl returns my gaze, and our eyes meet. I maintain my inquiring stare, and Cheryl breaks eye contact."
    show cheryl upset bow
    nc "She must know that I've realized something is wrong..."
    nc "But not knowing what exactly to say, we both continue to walk in silence."
    nc "It's times like these..."
    nc "... when I realize just how little I know. About people, and about life."
    nc "... something's bothering Cheryl... I'm positive. And I don't have any idea what it might be. But worse..."
    nc "... I don't even know how to ask."
    nc "We continue to walk in silence, my worry for Cheryl growing with every step."
    nc "Until finally, I can't stand it any more."
    ac "Something's bothering you."
    ac "What is it?"
    nc "Cheryl stops dead in her tracks, and shifts her gaze downward."
    nc "I turn around to face her, and wait patiently for her answer."
    #show snowFallB behind cheryl
    show snowFall
    nc "White snow begins to fall lightly from the sky. Everything is calm and quiet. And then..." 
    show cheryl sobbing bow
    nc "... a single tear begins to trickle down Cheryl's cheek."
    ac "Wha...?"
    ac "Cheryl- what's wrong?"
    nc "Is she... crying?"
    nc "No- that can't be... but the glistening of the tear down her face was unmistakable."
    nc "I immediately feel my whole heart pour out to Cheryl... I have never seen her cry before..."
    ac "Cheryl? What's the matter? ... why are you crying?"
    nc "Cheryl can only manage to sob quietly as she continues to focus her gaze at the ground."
    nc "I place my hands gently on Cheryl's shoulders..."
    ac "Cheryl..."
    cc "I... *sob* ...you..."
    cc "I... I'm sorry..."
    ac "Sorry about what? You haven't done anything to apologize for..."
    cc "No... I..."
    cc "..."
    cc "...I'm leaving..."
    ac "Leaving? What are you talking about?"
    nc "For the first time since she started crying, Cheryl looks up at me."
    show cheryl crying bow
    nc "Our eyes meet, and watching the steady streams of tears flow from her eyes to her chin, my heart is pierced to the center."
    cc "I'm... leaving the country- tonight is the last night we'll see each other!"
    $ save_name = "She's leaving"
    if good and independent:
        jump ending3
    else:
        jump ending2
        
label ending2:
    nc "..."
    nc "Cheryl's words hit me with the force of a bullet train..."
    ac "..wha...?"
    nc "I stumble backwards, reeling from the reality of what I just heard."
    ac "... she's... leaving..."
    nc "In a few fleeting moments, these words destroy everything..."
    cc "I-I'm sorry... Allen... it was so sudden... I didn't even know myself until just recently..."
    ac "I should have expected..."
    $ renpy.music.play('Evening Fall Piano Lo.ogg', fadein=1,fadeout=1,if_changed=True)
    show cheryl bw nx with cfade
    show walkhome bw with csfade
    n "It happened before. Of course it would happen again..."
    n "Why should Cheryl be any different?"
    n "In the end, people are destined to be alone."
    n "It's futile to try and avoid it..."
    n "I was a fool to think anything would ever change."
    hide cheryl with dissolve
    n "\"Goodbye\", I callously say as I turn my back and begin heading for my train, leaving her behind."
    n "I won't be fooled again. Never again."
    n "I hear a wavering voice call out to me..."
    sg "A-Allen? Please... do-don't d-do this..."
    n "At this desperate plea, only one thought in my mind floats to the surface..."
    a "You'll probably catch a cold if you stay outside, crying in this weather too long."
    n "I say without so much as glancing back. Then, with an apathy that seems somehow nostalgic..."
    a "Not that it's any of my business..."
    n "I glance at my watch... five minutes before the next train arrives- I should be able to make it."
    n "I pick up my pace, deftly and quickly placing one foot in front of the other."
    show black with dissolve
    n "... relationship...?"
    n "... love...?"
    n "What a farce..."
    n "People are destined to be alone."
    n "They may deny it, or try to escape from it."
    n "But in the end, it's all futile."
    n "Isolation will catch up eventually."
    n "And when it does... everything in the world that mattered will be torn away."
    n "..."
    n "I don't need anybody."
    n "I'm perfectly fine..." 
    n "... by myself..."
    
    show expression Text("Ending 2 of 3: Isolation is Destined", size=22, color = "#000000", black_color="#B8B8B8", xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    $ renpy.pause(0.25)
    $ renpy.full_restart()
    
    
label ending3:
    nc "My heart seems to jump up into my throat, and I find myself unable to speak for several seconds."
    nc "And in those few moments of forced contemplation, I realize something..."
    nc "The reason Cheryl is crying..."
    nc "Why she is so sad..."
    nc "... it's... because of me."
    nc "I pull Cheryl in close to me, burying her face into my chest."
    
    nc "Cheryl's hands then feel their way around my waist, until they link together behind my back in a tight embrace."
    nc "Her body is warm against mine, and I feel a slight quiver in her frame slowly dampen, and then cease."
    nc "Immense waves of emotion crash over me. My heart feels jumbled, and I have no idea how I should feel."
    nc "So... this is what it feels like to hold the one you love, for the first time..."
    nc "... and also for the last time."
    nc "At that thought, I clutch Cheryl tighter, and she responds with a squeeze, and buries her head deeper into my chest."
    nc "My heart feels it could break in two, and streams of tears begin to flow down my face."
    nc "We stood like this for several moments, in our tight embrace, crying..."
    
    nc "She's not crying for herself... Cheryl could never cry for herself..."
    nc "She's too strong for that."
    nc "... it's me that she's crying for."
    nc "A sense of calmness gently washes over me."
    nc "Cheryl's grip around me loosens, and we slowly separate."
    ac "No need to worry,"
    show cheryl upset bow
    nc "I muster a smile..."
    ac "I'll be alright."
    $ save_name = "Daijoubu"
    show cheryl bow with slowDissolve
    nc "Cheryl seems to relax a bit at that, and manages a bit of a smile."
    ac "Everything will work out somehow."
    ac "Come on, let's get you home."
    nc "As we resumed our walk towards the train station the seemingly stale air somehow transformed into an invigorating breeze."
    nc "Walking with Cheryl through the gently falling snow... memories of all the wonderful times we spent together overflow in my heart."
    ac "Well, I suppose I can't back out of this now..."
    nc "I say with a smile, retrieving the red package from my backpack."
    show cheryl smile bow
    cc "Oh, what's that?"
    ac "Perhaps it was destined to snow on the evening I can finally give this to you. Here. Open it."
    cc "For me? Thank you so much- I really wasn't expecting anything..."
    ac "Well, don't get your hopes up too much. It's nothing spectacular, really."
    nc "Cheryl carefully unwraps the package to find the colorful scarf I had placed inside."
    cc "Allen? Did you make this?"
    ac "Yeah, it's what I've been working on the past several nights. Do you... like it?"
    show cheryl happy bow
    cc "It's great! Thank you so much Allen!"
    show cheryl bow
    nc "Cheryl wraps the scarf around her neck and sighs softly."
    show cheryl smile bow
    cc "Thank you Allen. I will take really good care of this scarf."
    ac "Don't worry about it too much- it's not very good. I'm still new at this kind of thing, so the stitches are pretty weak."
    ac "It'll probably just fall apart on it's own in not too long."
    cc "I don't think so... Things like this don't fall apart by themselves, no matter how weak or frail they are."
    cc "Not as long as there is someone who earnestly cares about them."
    nc "I thoughfully ponder Cheryl's words... and find myself completely unable to resist smiling."
    ac "No... no they don't. Thank you Cheryl."
    show station behind cheryl with dissolve 
    nc "We shortly arrive at the train station, and sit down on a nearby bench as we wait for the train."
    ac "So, it must be pretty daunting going to live in a foreign country. Are you worried at all?"
    cc "Nope. I think it'll be exciting. I'll get to see all the sites, and meet lots of new people. I'll be able to just absorb a new culture."
    nc "She sounds so positive..."
    ac "But... don't you feel any apprehension at all?"
    cc "Not really. My family never stays in the same place for long- we move a lot. So I kind of like unfamiliar surroundings."
    ac "Your family moves a lot? I see. I was a little surprised you would be moving away so soon- I mean, you just moved recently, right? When you started coming to high school?"
    cc "Yeah. Usually we stay longer. A year, or maybe two. I would've liked to stay here at least a little while longer."
    ac "It must be kinda tough moving that much. I bet it's difficult having to make new friends all the time."
    cc "Well..."
    show cheryl bow
    nc "Cheryl thoughtfully ponders."
    cc "... you did make it kind of difficult."
    nc "Embarrassed again, I blush, and avert my gaze a little."
    show cheryl smile bow
    nc "Cheryl begins to laugh and I look up at her and smile."
    ac "Seriously though, isn't it hard? Losing your friends all the time?"
    nc "Cheryl sighs, and stares off into the falling snow."
    cc "At what distance do you think we'll stop being friends? One hundred miles? One thousand miles? More? Less?"
    ac "... I don't think you can quantify it like that..."
    cc "Well, I think you can. Twelve point five thousand is the number I come up with."
    ac "Twelve and a half tousand miles!? That's huge! That's like, half way around the world-"
    nc "Cheryl quickly beams a smile."
    cc "And if I we're ever farther apart than that, then we just can't be friends anymore."
    nc "Cheryl states emphatically, as though it's simply a fact of reality."
    show cheryl bow
    cc "You never really lose your friends. They just... become a little farther away than you might like."
    nc "Off in the distance, I notice a northbound train round the bend, and begin heading directly for our location."
    nc "A northbound train... Cheryl's train..."
    nc "Cheryl notices it too, but turns her head to look at it for only a moment before turning her gaze straight forward again, looking at nothing in particular."
    nc "After a slight pause, she continues, with an almost melancholic voice."
    cc "It's a little sad sometimes... thinking of all the friends I've made... wondering when or if I'll ever see them again."
    cc "But at the same time, it makes me really happy too. Thinking of all the friends I have, and remembering the fun memories that we share."
    nc "The bells of the train ring as it slowly pulls into the station. The doors slide open and a few people trickle out."
    nc "Cheryl and I gaze at each other for a moment, knowing that our time is almost up."
    ac "I'll always remember. Everything."
    cc "Yes. Me too."
    nc "Cheryl boards the train and turns to face me one last time."
    nc "Despite the preconception that sadness is the most appropriate emotion at a time like this, I slowly crack a smile."
    ac "Remember- Twelve and a half thousand miles. If you ever become an astronaut and fly to the moon, I'll never forgive you."
    show cheryl smile bow
    nc "Cheryl chuckles softly as the doors slowly slide closed. She raises her arm to wave goodbye and I mimic the motion."
    nc "With a ding of the bell, the train accelerates and pulls out of the station."
    hide cheryl with slowDissolve
    nc "I continue to watch the train and wave my arm softly, until Cheryl's train diappears across the horizon."
    nc "I slowly turn my gaze upward into the sky, toward the gently falling snow."
    nc "With each snowflake that lights onto my face, and melts against my warm skin I feel more and more alive."
    ac "The moon... another planet... another galaxy..."
    ac "It won't mean anything to me."
    ac "No matter what distance separates us, you will always live in my heart- and I will never forget."

    jump credits


    
    jump notDone
label notDone:    
    "Author" "A lot more to come! (not to mention a whole lot of revisions on what's already done >_<)"
    
    $ renpy.full_restart()
    
label credits:
    scene black with slowDissolve
    $ renpy.pause(1.0)
    
    show expression Text("Ending 3 of 3: I will never forget", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with slowDissolve

    show expression Text("Written and Directed by Shirai Junichi", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with slowDissolve
 
    show expression Text("Artwork by Snowshine", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with slowDissolve

    show expression Text("Game Engine by PyTom", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with slowDissolve

    show expression Text("Music by Kevin McLeod", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    hide text with slowDissolve
    
    show expression Text("The END", size=22, xpos=0.5,ypos=0.3,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text with dissolve
    $ renpy.pause(2.0)
    show expression Text("of a new beginning", size=22, xpos=0.5,ypos=0.4,xanchor="center", yanchor="center", drop_shadow=(2, 2)) as text2 with dissolve
    $ renpy.pause(4.0)
    hide text with slowDissolve
    hide text2 with slowDissolve

$ renpy.full_restart()
 
